procedure i_reid(refname,input,nspec)

file    refname     {prompt="Name of reference image"}
file    input       {prompt="Name of input image"}
int     nspec       {prompt="Number of spectrum for reference?"}
file    coordlist   {prompt="Name of coordinate list"}

begin

      file rname,in
      int ns
      string sect

      # Get the query parameters

      rname = refname
      in = input
      ns = nspec

      # Get data section for reference image

      if (dispaxis == 1) 
         sect = "line "//ns
      else
         sect = "column "//ns

      # Call the reidentification task. 

      reidentify(rname,in,interactive=no,section=sect,
         newaps=no,override=no,refit=yes,trace=yes,step=1,
         nsum=3,shift=0.0,nlost=0,cradius=rpars.cradius,
         threshold=rpars.cthresh,addfeatures=yes,coordlist=coordlist,
         match=rpars.match,maxfeatures=rpars.maxfeatures,
         minsep=rpars.sep,database=database,logfile="STDOUT",plotfile="",
         verbose=no,graphics="stdgraph",cursor="",aidpars="")
end
