# Parameters for RBS

spec2.dispaxis = 1
spec2.guifile = "spec2$std.gui"

rpars.interactive = no

rpars.b_function = "legendre"
rpars.b_order = 2
rpars.b_sample = "*"
rpars.b_naverage = -3
rpars.b_niterate = 2
rpars.b_low_reject = 3
rpars.b_high_reject = 3
rpars.b_grow = 0

rpars.select = "interp"
rpars.sort = "jd"
rpars.time = no
rpars.timewrap = 17

rpars.match = 2
rpars.fwidth = 4
rpars.cradius = 5 
rpars.cthresh = 10.0
rpars.contrast = 0.05
rpars.edge = 1  
rpars.maxfeatures = 50
rpars.pkthresh = 10.0
rpars.i_function = "chebyshev"
rpars.i_order = 3
rpars.sp_order = 3
rpars.i_niterate = 1
rpars.i_low = 3.0
rpars.i_high = 3.0

rpars.log = no
rpars.flux = yes

setjd.date = "date-obs"
setjd.time = "timstart"
setjd.exposure = "timexpos"
setjd.ra = "ra"
setjd.dec = "dec"
setjd.epoch = ""

refspectra.group = ""

idpars.dfrac = 0.05
idpars.ndisp = 31
idpars.limit_angle = 1.40 
idpars.ns_select = 3
idpars.ng_select = 10
idpars.test_stat = 1
idpars.wfact = 1.0
idpars.padding = 0.1
