procedure monitor(instr,file1,file2,file3,file4)

string  instr  {prompt="Give me an instrument name"}
file    file1  {prompt="Give me a file with rspecred params"}
file    file2  {prompt="Give me a file with rpars params"}
file    file3  {prompt="Give me a file with instrpars params"}
file    file4  {prompt="Give me a file with instrument params"}

begin

      string inst
      file f1,f2,f3,f4,dirnm

      # Get instrument name

      inst = instr
      f1 = file1
      f2 = file2
      f3 = file3
      f4 = file4
      path | scan(dirnm)
      !stty echoe

      # Loop forever

      while (yes) {
         if (access("reduce.sp2")) {
            delete("reduce.sp2",verify=no)
            cl < (f1)
            cl < (f2)
            cl < (f3)
            cl < (f4)
            cd("..")
            rspecred
            cd(dirnm)
            print("\n***Processing Done\n")
         } else if (access("help.sp2")) {
            delete("help.sp2",verify=no)
            help(inst,file_template=no,all=no,parameter="all",section="all",
               option="help",page=yes,nlpp=59,lmargin=1,rmargin=72,
               curpack="spec2",device="terminal",helpdb="helpdb")
         } else if (access("quit.sp2")) {
            delete("quit.sp2",verify=no)
            break
         }
         sleep 1
      }
end
