#{ ING 2d spectral reduction package

# Load packages

images
tv
noao
imred
ccdred
twodspec
longslit
onedspec
utilities
if (deftask("tables")) {
   if (defpar("tables.motd"))  
      tables.motd = no
   tables
} else {
   error(0,"You must have TABLES available on your system")
}

package spec2

# Tasks

task     aatfors    = "spec2$x_spec2.e"
task     aatrgo     = "spec2$x_spec2.e"
task     arcstat    = "spec2$x_spec2.e"
task     autoarc    = "spec1$x_spec1.e"
task     evalexpr   = "spec1$x_spec1.e"
task     filllist   = "spec1$x_spec1.e"
task     illumination = "spec1$x_spec1.e"
task     i_reid     = "spec2$i_reid.cl"
task     i_initid   = "spec2$i_initid.cl"
task     ids        = "spec2$x_spec2.e"
task     isis       = "spec2$x_spec2.e"
task     logtex     = "spec1$logtex.cl"
task     mkarclog   = "spec1$x_spec1.e"
task     preccd     = "spec1$preccd.cl"
task     response   = "spec1$x_spec1.e"
task     rspecred   = "spec2$rspecred.cl"
task     runlog     = "spec1$x_spec1.e"
task     sarclog    = "spec1$x_spec1.e"
task     setup      = "spec2$setup.cl"
task     stime      = "spec1$x_spec1.e"
task     strpextn   = "spec1$strpextn.cl"
task     tippex     = "spec2$tippex.cl"

# Psets

task     cenpars    = "spec1$cenpars.par"
task     idpars     = "spec1$idpars.par"
task     rpars      = "spec2$rpars.par"
task     instrpars  = "spec2$instrpars.par"
task     promptme   = "spec2$promptme.par"

# Hidden tasks

hidetask arcstat,evalexpr,filllist,illumination,i_reid,i_initid
hidetask logtex,mkarclog,preccd,response,rspecred,runlog,sarclog,stime
hidetask strpextn,tippex,cenpars,idpars,instrpars,promptme

clbye
                                    
                       
