#{ SAM package -- Spectral extraction package

# Load packages used for previewer

onedspec 
scp      
if (deftask("tables")) {
   if (defpar("tables.motd")) 
      tables.motd = no
   tables
} else {
   error(0,"You must have TABLES available on your system")
}
ttools

package sam

#  Main SAM tasks

task    arc,
        dekker,
        extract,
        find,
        mkerr,
        profile,
        showme,
        sky,
        strt,
        trace,
        whole         ="sam$x_sam.e"
task    cleanhd       ="sam$cleanhd.cl"
task    proc          ="sam$proc.cl"

#  SAM preview tasks

task    prekeep       ="sam$prekeep.cl"
task    preset        ="sam$preset.cl"
task    preview       ="sam$preview.cl"

clbye()
