procedure sam_band(x1,x2)
#--------------------------------------------------------------------------------------
#      SAM_BAND -- Check the order of two band endpoints
#
#      Parameters (">" Input, "<" Output, "W" Workspace, "!" Changed)
#
#      (>) x1:         (real) First endpoint 
#      (>) x2:         (int) Second endpoint
#
#
#      AUTHOR:      Jim Lewis -- RGO
#      DATE:        22-FEB-1993
#      UPDATE:
#
#--------------------------------------------------------------------------------------

# Parameters

real x1,x2

# Local variables

real dummy

begin

      # Reverse order if necessary

      if (x1 > x2) {
         dummy = x2
         x2 = x1
         x1 = dummy
      }
end
