#{ TAUCAL package  -- TAURUS Fabry-Perot phase calibration package

# Load packages used by TAUCAL

if (deftask("tables")) {
   if (defpar("tables.motd"))  
      tables.motd = no
   tables
} else {
   error(0,"You must have TABLES available on your system")
}

package taucal

#  Main TAUCAL tasks

task      calbasic,
          findpks,
          fpcor,
          grid,
          prering,
          resid,
          rings,
          tmask,
          xrvf             ="taucal$x_taucal.e"
task      calrun           ="taucal$calrun.cl"
task      telpars          ="taucal$telpars.par"
task      etpars           ="taucal$etpars.par"
task      detpars          ="taucal$detpars.par"

clbye()
