int procedure tau_log(name,mode)

# Parameters

char name[ARB]
int mode

# Local variables

pointer sp,namef
int version,len,fd

# Functions

int tau_lver(),strlen(),open()

errchk open()

begin

      # Get some workspace

      call smark(sp)
      call salloc(namef,SZ_FNAME,TY_CHAR)

      # Get the last version of the log file and up it by one, if this
      # is a new file...

      version = tau_lver(name) 
      if (mode == NEW_COPY || mode == NEW_FILE) version = version + 1

      # Set up the file name

      call strcpy(name,Memc[namef],SZ_FNAME)
      call strcat(".",Memc[namef],SZ_FNAME)
      len = strlen(Memc[namef])
      call sprintf(Memc[namef+len],SZ_FNAME,"%d")
         call pargi(version)

      # Now open the file

      fd = open(Memc[namef],mode,TEXT_FILE)

      # Ditch workspace and return file descriptor

      call sfree(sp)
      return (fd)
end

int procedure tau_lver(name)

# Parameters

char name[ARB]

# Local variables

char period
pointer template,sp,namef
int list,newversion,len,version

# Functions

int fntopnb(),fntgfnb(),strldx(),ctoi()

begin

      # Get some workspace

      call smark(sp)
      call salloc(template,SZ_FNAME,TY_CHAR)
      call salloc(namef,SZ_FNAME,TY_CHAR)

      # Create the template and find the latest version of it...

      period = '.'
      call strcpy(name,Memc[template],SZ_FNAME)
      call strcat(".*",Memc[template],SZ_FNAME)
      list = fntopnb(Memc[template],NO)
      newversion = 0
      while (fntgfnb(list,Memc[namef],SZ_FNAME) != EOF) {
         len = strldx(period,Memc[namef])
         len = len + 1
         if (ctoi(Memc[namef],len,version) <= 0) next
         newversion = max(newversion,version)
      }

      # Release some workspace

      call fntclsb(list)
      call sfree(sp)

      # Return the latest version

      return (newversion)
end
