procedure wyf_red(input,apref,dobias,doflat,batch)

string    input = ""        {prompt="List of input program images"}
file      apref = ""        {prompt="Aperture reference image"}
bool      batch = no        {prompt="Do processing in batch?"}
file      mbias = ""        {prompt="Mean bias frame"}
file      mflat = ""        {prompt="Mean flat frame"}
bool      skyobj = no       {prompt="Reduce offset skys as objects as well?"}
bool      override = no     {prompt="Override automatic aperture info?"}
bool      scattered = yes   {prompt="Do scattered light correction?"}
bool      arcscat = no      {prompt="Do scattered light correction for arcs?"}
bool      fitflat = yes     {prompt="Fit and ratio flat field spectrum?"}
bool      clean = yes       {prompt="Detect and replace bad pixels?"}
bool      dispcor = yes     {prompt="Dispersion correct spectra?"}
bool      skysubtract = yes {prompt="Subtract sky?"}
bool      skyedit = yes     {prompt="Edit the sky spectra?"}
bool      saveskys = yes    {prompt="Save sky spectra?"}
bool      tippex = yes      {prompt="Tippex out sky line residuals?"}
file      tfile = ""        {prompt="Name of tippex file"}
bool      splot = no        {prompt="Plot the final spectrum?"}
bool      redo = no         {prompt="Redo operations if previously done?"}
bool      update = yes      {prompt="Update spectra if cal data changes?"}
bool      listonly = no     {prompt="List steps but don't process?"}
bool      w_interact = yes  {prompt="Do some of the procedures interactively?"}
int       autoid = 2        {prompt="What level of automation in arc line ids?"}
file      coordlist="wyffos$linelists/argon.dat" {prompt="Line list"}

pset      wyfpars = ""      {prompt="Algorithm parameters"}

begin

      # If this is an interactive job, then just call wyf_red1 as normal

      if (!batch) {
         if (! listonly) 
            wyf_red1(input=input,apref=apref,batch=no,mbias=mbias,mflat=mflat,
               skyobj=skyobj,override=override,scattered=scattered,
               arcscat=arcscat,fitflat=fitflat,clean=clean,dispcor=dispcor,
               skysubtract=skysubtract,skyedit=skyedit,saveskys=saveskys,
               tippex=tippex,tfile=tfile,splot=splot,redo=redo,
               update=update,listonly=listonly)
         else 
            w_red1lo(input=input,apref=apref,batch=no,mbias=mbias,mflat=mflat,
               skyobj=skyobj,override=override,scattered=scattered,
               arcscat=arcscat,fitflat=fitflat,clean=clean,dispcor=dispcor,
               skysubtract=skysubtract,skyedit=skyedit,saveskys=saveskys,
               tippex=tippex,tfile=tfile,splot=splot,redo=redo,
               update=update,listonly=listonly)


      # Otherwise send it to the background...

      } else {
         if (!listonly) {
            wyf_red1.input = input
            wyf_red1.apref = apref
            wyf_red1.batch = yes
            wyf_red1.mbias = mbias
            wyf_red1.mflat = mflat
            wyf_red1.skyobj = skyobj
            wyf_red1.override = override
            wyf_red1.scattered = scattered
            wyf_red1.arcscat = arcscat
            wyf_red1.fitflat = fitflat
            wyf_red1.clean = clean
            wyf_red1.dispcor = dispcor
            wyf_red1.skysubtract = skysubtract
            wyf_red1.skyedit = no
            wyf_red1.saveskys = saveskys
            wyf_red1.tippex = tippex
            wyf_red1.tfile = tfile
            wyf_red1.splot = no
            wyf_red1.redo = redo
            wyf_red1.update = update
            wyf_red1.listonly = listonly
            print("wyf_red1&batch") | cl
         } else {
            w_red1lo.input = input
            w_red1lo.apref = apref
            w_red1lo.batch = yes
            w_red1lo.mbias = mbias
            w_red1lo.mflat = mflat
            w_red1lo.skyobj = skyobj
            w_red1lo.override = override
            w_red1lo.scattered = scattered
            w_red1lo.arcscat = arcscat
            w_red1lo.fitflat = fitflat
            w_red1lo.clean = clean
            w_red1lo.dispcor = dispcor
            w_red1lo.skysubtract = skysubtract
            w_red1lo.skyedit = no
            w_red1lo.saveskys = saveskys
            w_red1lo.tippex = tippex
            w_red1lo.tfile = tfile
            w_red1lo.splot = no
            w_red1lo.redo = redo
            w_red1lo.update = update
            w_red1lo.listonly = listonly
            print("w_red1lo&batch") | cl
         }
      }
end
                                    
