# Generic routine for setting parameters.

ccdred.pixeltype = "real real"
ccdred.verbose = no
ccdred.logfile = "logfile"
ccdred.plotfile = ""
ccdred.backup = "backup/"
ccdred.instrument = "rgo$ccddb/aao/aatrgo.dat"
ccdred.ssfile = ""
ccdred.graphics = "stdgraph"
ccdred.cursor = ""

ccdproc.ccdtype = ""
ccdproc.max_cache = 0
ccdproc.noproc = no
ccdproc.fixpix = no
ccdproc.overscan = yes
ccdproc.trim = yes
ccdproc.zerocor = yes
ccdproc.darkcor = no
ccdproc.flatcor = no
ccdproc.illumcor = no
ccdproc.fringecor = no
ccdproc.readcor = no
ccdproc.scancor = no
ccdproc.readaxis = "line"
ccdproc.fixfile=""
ccdproc.biassec = "image"
ccdproc.trimsec = "image"
ccdproc.dark=""
ccdproc.flat=""
ccdproc.illum=""
ccdproc.fringe=""
ccdproc.minreplace=1.0
ccdproc.scantype="shortscan"
ccdproc.nscan=1
ccdproc.interactive = no
ccdproc.function = "chebyshev"
ccdproc.order = 1
ccdproc.sample = "*"
ccdproc.naverage = 1
ccdproc.niterate = 1
ccdproc.low_reject = 3
ccdproc.high_reject = 3
ccdproc.grow = 0

zerocombine.combine="average"
zerocombine.reject="minmax"
zerocombine.ccdtype=""
zerocombine.process=no
zerocombine.delete=no
zerocombine.clobber=no
zerocombine.scale="none"
zerocombine.statsec=""
zerocombine.nlow=0
zerocombine.nhigh=1
zerocombine.nkeep=1
zerocombine.mclip=yes
zerocombine.lsigma=3.0
zerocombine.hsigma=3.0
zerocombine.rdnoise=""
zerocombine.gain=""
zerocombine.snoise="0.0"
zerocombine.pclip=-0.5
zerocombine.blank=0.0

flatcombine.combine = "average"
flatcombine.reject = "crreject"
flatcombine.ccdtype = ""
flatcombine.process = yes
flatcombine.subsets = no
flatcombine.delete = no
flatcombine.clobber = no
flatcombine.scale = "mode"
flatcombine.statsec = ""
flatcombine.nlow = 1
flatcombine.nhigh = 1
flatcombine.nkeep = 1
flatcombine.mclip = yes
flatcombine.lsigma = 3.
flatcombine.hsigma = 3.
flatcombine.rdnoise = "RO_NOISE"
flatcombine.gain = "RO_GAIN"
flatcombine.snoise = "0.0"
flatcombine.pclip = -0.5
flatcombine.blank = 1.0
