include <imhdr.h>

procedure err_uni(fptr,const,nx)

#--------------------------------------------------------------------------------------
#      ERR_UNI -- Fill an error array with a constant
#
#      Parameters (">" Input, "<" Output, "W" Workspace, "!" Changed)
#
#      (>) fptr:       (pointer) Pointer to error file 
#      (>) const:      (real) Constant for data array
#      (>) nx:         (int) Length of a line
#
#
#      AUTHOR:      Jim Lewis -- RGO
#      DATE:        07-JAN-1993
#      UPDATE:
#
#--------------------------------------------------------------------------------------

# Parameters

pointer fptr
real const
int nx

# Local variables

long one_l,v1[IM_MAXDIM]
pointer ptr

# Functions

int impnlr()

errchk impnlr

begin

      # Start by printing a message to the user...

      call printf("No error information for this frame! \n")
      call printf("Will generate a temporary uniform array \n")

      # Now fill the array

      one_l = 1
      call amovkl(one_l,v1,IM_MAXDIM)
      while (impnlr(fptr,ptr,v1) != EOF) {
         call amovkr(const,Memr[ptr],nx)
      }
      call imflush(fptr)
end
