include <error.h>

procedure mklogincl(pkg,instr,tmpfil1,tmpfil2,tmpfil3,tmpfil4,dirnm,maxch)

# Parameters

char pkg[ARB],instr[ARB],tmpfil1[ARB],tmpfil2[ARB],tmpfil3[ARB],tmpfil4[ARB]
char dirnm[ARB]
int maxch

# Local variables

pointer sp,cmd,homestr,tmpfil,tmppath
int list,fd1

# Functions

int fntopnb(),open(),fntgfnb()

begin

      # Get some workspace

      call smark(sp)
      call salloc(cmd,maxch,TY_CHAR)
      call salloc(homestr,maxch,TY_CHAR)
      call salloc(tmpfil,maxch,TY_CHAR)
      call salloc(tmppath,maxch,TY_CHAR)

      # Create a directory name 

      call fmapfn(".",Memc[tmppath],maxch)
      call strupk(Memc[tmppath],dirnm,maxch)
      call mktemp("ppln",Memc[tmpfil],maxch)
      call strcat(Memc[tmpfil],dirnm,maxch)
      call strcat("/",dirnm,maxch)

      # Create the temporary directory.  On the rare chance
      # that the directory already exists, then clear it out.

      iferr (call fmkdir(dirnm))
         call erract(EA_ERROR)
      call sprintf(Memc[cmd],maxch,"%s*")
         call pargstr(dirnm)
      list = fntopnb(Memc[cmd],NO)
      while (fntgfnb(list,Memc[tmpfil],maxch))
         call delete(Memc[tmpfil])
      call fntclsb(list)

      # Get the home area path.  Find the home copy of login.cl and copy
      # it to a temporary place.

      call envgets("home",Memc[homestr],maxch)
      call strcpy(Memc[homestr],Memc[cmd],maxch)
      call strcat("login.cl",Memc[cmd],maxch)
      call sprintf(Memc[tmpfil],maxch,"%slogin.cl")
         call pargstr(dirnm)
      call fcopy(Memc[cmd],Memc[tmpfil])

      # Now add in the bits we want...

      fd1 = open(Memc[tmpfil],APPEND,TEXT_FILE)
      call fprintf(fd1,"###%s bits.  Please delete this file!!!\n")
         call pargstr(pkg)
      call fprintf(fd1,"rgo\npipeline\n%s\ntask monitor = %s$monitor.cl\n")
         call pargstr(pkg)
         call pargstr(pkg)
      call fprintf(fd1,"cl.keeplog=yes\ncl.logmode=\"nocommand nobackground trace errors\"\n")
      call fprintf(fd1,"cl.logfile = \"%s%slogfile\"\n")
         call pargstr(dirnm)
         call pargstr(pkg)
      call fprintf(fd1,"monitor %s %s %s %s %s\n")
         call pargstr(instr)
         call pargstr(tmpfil1)
         call pargstr(tmpfil2)
         call pargstr(tmpfil3)
         call pargstr(tmpfil4)
      call fprintf(fd1,"logout\n")
      call close(fd1)

      # Create a hushiraf file...

      call sprintf(Memc[cmd],maxch,"%s.hushiraf")
         call pargstr(dirnm)
      fd1 = open(Memc[cmd],NEW_FILE,TEXT_FILE)
      call close(fd1)

      # Get out of here

      call sfree(sp)
            
end

procedure dellogincl(dirnm,maxch)

# Parameters

char dirnm[ARB]
int maxch

# Local variables

int list
pointer sp,tmpfil,tmpdnm

# Functions

int fntopnb(),fntgfnb()

begin

      # Get some workspace

      call smark(sp)
      call salloc(tmpfil,maxch,TY_CHAR)
      call salloc(tmpdnm,maxch,TY_CHAR)

      # Start by deleting all files from the directory...

      call strcpy(dirnm,Memc[tmpdnm],maxch)
      call strcat("*",Memc[tmpdnm],maxch)
      list = fntopnb(Memc[tmpdnm],NO)
      while (fntgfnb(list,Memc[tmpfil],maxch) != EOF)
         call delete(Memc[tmpfil])
      call fntclsb(list)
      call strcpy(dirnm,Memc[tmpdnm],maxch)
      call strcat(".hushiraf",Memc[tmpdnm],maxch)
      call delete(Memc[tmpdnm])

      # Now ditch the directory...

      call sprintf(Memc[tmpfil],maxch,"rmdir %s")
         call pargstr(dirnm)
      call clcmdw(Memc[tmpfil])

      # Free workspace

      call sfree(sp)
end

