procedure stdname(inputname)

string   inputname  {prompt="Name of standard star"}

struct   *fd
begin

      string in,spname,egname,othername

      # If the name starts with 'sp' then this is an LPO standard star

      print(inputname) | lcase | scan(in)
      if (substr(in,1,2) == 'sp') {
         fd = "rgo$flux/lpstds.lis"
         while (fscan(fd,spname,othername,egname) != EOF) {
            if (nscan() == 2) 
               egname = ""
            if (spname == in)
               break
            else
               othername = ""
         }
         fd = ""
         if (othername == "")
            error(0,"Can't find your standard in the list rgo$flux/lpstds.lis")
         if (egname != "")
            egname = "eg"//egname

      # If the name doesn't start with 'sp' then just pass back the old name

      } else {
         egname = ""
         othername = in
      }

      # Pass back the name

      print(othername," ",egname)
end
