procedure q_getr(image,item,def)

# Procedure to get a real item from a header.  If it doesn't exist 
# the replace it with a predefined default

string    image    {prompt="Input image name"}
string    item     {prompt="Header item to be read"}
real      def      {prompt="Default value"}

begin

      string im,it
      real value
      int ns
      
      # Get the file name and the header item name

      im = image
      it = item

      # See if you can read the item now

      hselect(im,it,yes) | scan(value)
      ns = nscan()

      # If no value was read, replace it with the default

      if (ns == 0) value = def

      # Write out the value and the number of items read from the header

      print(value)
end

