#{ QUICKIE package  -- Quick look data reduction

# load necessary packages

proto
twodspec
apextract
onedspec
if (deftask("tables")) {
   if (defpar("tables.motd"))  
      tables.motd = no
   tables
} else {
   error(0,"You must have TABLES available on your system")
}
imred
ccdred

package quickie

# Main QUICKIE tasks

task    fos2,
        ids,
        isis,
        rbs,
        ues         = "quickie$x_quickie.e"

# Hidden quickie tasks

task xzap           = "quickie$xzap.cl"
task iterstat       = "quickie$iterstat.cl"
task q_getr         = "quickie$q_getr.cl"
task q_gets         = "quickie$q_gets.cl"
task q_idsdisp      = "quickie$q_idsdisp.cl"
task strpextn       = "quickie$strpextn.cl"

task ffos2          = "quickie$ffos2.cl"
task pfos2          = "quickie$pfos2.cl"
task fids           = "quickie$fids.cl"
task pids           = "quickie$pids.cl"
task fisis          = "quickie$fisis.cl"
task pisis          = "quickie$pisis.cl"
task frbs           = "quickie$frbs.cl"
task prbs           = "quickie$prbs.cl"
task fues           = "quickie$fues.cl"
task pues           = "quickie$pues.cl"

hidetask xzap
hidetask iterstat
hidetask q_getr
hidetask q_gets
hidetask q_idsdisp
hidetask strpextn

hidetask ffos2
hidetask pfos2
hidetask fids
hidetask pids
hidetask fisis
hidetask pisis
hidetask frbs
hidetask prbs
hidetask fues
hidetask pues

clbye()
                                     
