include <imhdr.h>

procedure sam_deltemp(fptr)
#--------------------------------------------------------------------------------------
#      SAM_DELTEMP -- Get rid of a temporary file associated with file sections
#
#      Parameters (">" Input, "<" Output, "W" Workspace, "!" Changed)
#
#      (>) fptr:       (pointer) Pointer to the temporary file
#
#
#      AUTHOR:      Jim Lewis -- RGO
#      DATE:        22-FEB-1993
#      UPDATE:
#
#--------------------------------------------------------------------------------------

# Parameters

pointer fptr

# Local variables

pointer cp1,sp

# Functions

int imaccess()

errchk imunmap

begin

      # Mark stack and get some workspace

      call smark(sp)
      call salloc(cp1,SZ_FNAME,TY_CHAR)

      # Create the temporary file name...

      call strcpy(IM_HDRFILE(fptr),Memc[cp1],SZ_FNAME)

      # Delete the file

      call imunmap(fptr)
      if (imaccess(Memc[cp1],READ_ONLY) == YES) call imdelete(Memc[cp1])

      # Release workspace

      call sfree(sp)

end
