procedure sam_fname(name)
#--------------------------------------------------------------------------------------
#      SAM_FNAME -- Create a file name for a temporary section file. Temporary file
#                   names will have the prefix SAMTEMP
#
#      Parameters (">" Input, "<" Output, "W" Workspace, "!" Changed)
#
#      (<) name:       (char[ARB]) Output string for the name 
#
#
#      AUTHOR:      Jim Lewis -- RGO
#      DATE:        22-FEB-1993
#      UPDATE:
#
#--------------------------------------------------------------------------------------

# Parameters

char name[ARB]

begin

      # Prefix name with SAMTEMP

      call mktemp("SAMTEMP",name,SZ_FNAME)
end
