pointer procedure sam_gdekker(dptr,iobj)
#------------------------------------------------------------------------------
#      SAM_GDEKKER -- Get the dekker info for the current object
#
#      Parameters (">" Input, "<" Output, "W" Workspace, "!" Changed)
#
#      (>) dptr:       (pointer) Pointer to dekker file header
#      (>) iobj:       (int) Number of the object
#
#      Returns:
#          ptr_de:     (pointer) Pointer to dekker info for current object
#
#
#      AUTHOR:      Jim Lewis -- RGO
#      DATE:        12-NOV-1993
#      UPDATE:
#
#------------------------------------------------------------------------------

# Parameters

pointer dptr
int iobj

# Local variables

pointer ptr_de

# Functions

pointer imgl2r()

errchk imgl2r

begin

      # Get approprate line of dekker data.

      ptr_de = imgl2r(dptr,iobj)

      # Return pointer

      return (ptr_de)
end
