real procedure fix_zerdiv(val)
#--------------------------------------------------------------------------------------
#      FIX_ZERDIV -- Fix and clock up a trapped zero divide.  This routine is for
#                    the use of advzr.
#
#      Parameters (">" Input, "<" Output, "W" Workspace, "!" Changed)
#
#      (>) val:        (real) Input numerator
#
#      Returns:
#             newval:  (real) The input numerator over the replacement divisor
#
#      AUTHOR:      Jim Lewis -- RGO
#      DATE:        11-FEB-1993
#      UPDATE:
#
#--------------------------------------------------------------------------------------

# Parameters

real val

# Local variables

real repval,newval
int nzero

common /replace/ repval,nzero

begin

      # Fix the zero divide by dividing by the replacement value...

      newval = val/repval
      nzero = nzero + 1
      return (newval)
end
