# Ring fitting status variables

define       RING_PRE       -1         # prering done, rings not done
define       RING_OK         0         # rings done, everything ok
define       RING_SKIP       1         # skip this ring
define       RING_BAD        2         # ring fitting failed
define       RING_DODGY      3         # ring fitting possible dodgy

# Columns for rvf/rvt tables

define       RING_NCOL       11        # number of columns in a rvf/rvt table

# Location for each rvf/rvt object

define       COLRUN          1
define       COLMPU          2
define       COLXC           3
define       COLYC           4
define       COLRAD          5
define       COLSIG          6
define       COLPK           7
define       COLBK           8
define       COLELL          9
define       COLME           10
define       COLFLG          11

# Get size for structure

define       LEN_NUMS         2*RING_NCOL
define       LEN_CNAM         RING_NCOL*SZ_COLNAME
define       LEN_CUNI         RING_NCOL*SZ_COLUNITS
define       LEN_CFMT         RING_NCOL*SZ_COLFMT
define       LEN_STR          LEN_NUMS + LEN_CNAM + LEN_CUNI + LEN_CFMT

# Define structure

define   RING_CDTY  Memi[$1+$2-1]
define   RING_RES   Memr[$1+RING_NCOL+$2-1]
define   RING_CNAM  Memc[P2C($1+LEN_NUMS+($2-1)*SZ_COLNAME)]
define   RING_CUNI  Memc[P2C($1+LEN_NUMS+LEN_CNAM+($2-1)*SZ_COLUNITS)]
define   RING_CFMT  Memc[P2C($1+LEN_NUMS+LEN_CNAM+LEN_CUNI+($2-1)*SZ_COLFMT)]
