task test = t_test

include <imhdr.h>
include <mwset.h>

procedure t_test()

# Parameters

pointer iname,iptr,mw,w,r,cd,sp
int pdim
real wave0,disp

# Functions

pointer mw_openim(),immap()
real clgetr()
int mw_stati()

begin

      call smark(sp)
      call salloc(iname,SZ_FNAME,TY_CHAR)

      call clgstr("input",Memc[iname],SZ_FNAME)
      iptr = immap(Memc[iname],READ_WRITE,0)

      mw = mw_openim(iptr)
      pdim = mw_stati(mw,MW_NPHYSDIM)
      call salloc(w,pdim,TY_DOUBLE)
      call salloc(r,pdim,TY_DOUBLE)
      call salloc(cd,pdim*pdim,TY_DOUBLE)

      wave0 = clgetr("wave")
      disp = clgetr("disp")

      call fpmw(mw,wave0,disp,Memd[r],Memd[w],Memd[cd],pdim)

      call mw_saveim(mw,iptr)
      call mw_close(mw)
      call imunmap(iptr)
      call sfree(sp)
end
      
