#include <math.h>

/* wfcwcs declares things needed for WCS calculations for the WFC */
typedef struct { double ra1;		/* min ra to search over	*/
		 double dec1;		/* min dec			*/
		 double ra2;		/* max ra			*/
		 double dec2;		/* max dec			*/
} cLimits_t;

typedef struct { double ra;
		 double dec;
		 double mag;
		 double x;
		 double y;
		 int match;
		 double rad;
		 double xm;
		 double ym;
} cat_t;
#define RAD2DEG 180.0/M_PI

void get_stars(cLimits_t *, cat_t **, int *, int *);
