procedure t_wyfgeom()

# Local variables

pointer sp,rl,rld
int dflip

# Functions

bool streq()
int clgeti()

begin

      # Get some workspace...

      call smark(sp)
      call salloc(rl,SZ_LINE,TY_CHAR)
      call salloc(rld,SZ_LINE,TY_CHAR)

      # Find out whether the fibre numbers increase towards the right or
      # towards the left.

      call clgstr("rightleft.p_min",Memc[rld],SZ_LINE)
      call clgwrd("rightleft",Memc[rl],SZ_LINE,Memc[rld])

      # Set the parameter wyfpars.order according to the reply...

      if (streq(Memc[rl],"right"))
         call clpstr("wyfpars.order","increasing")
      else if (streq(Memc[rl],"left"))
         call clpstr("wyfpars.order","decreasing")
      else {
         call eprintf("Illegal answer: %s\n")
            call pargstr(Memc[rl])
         call error(0,"")
      }

      # Find out if blue is at the top or at the bottom.  Allow for "I don't
      # know" reply.

      call printf("\nType an integer to describe spectral orientation\n")
      call printf("  -1: Blue at the top and red at the bottom of the frame\n")
      call printf("   1: Red at the top and blue at the bottom of the frame\n")
      call printf("   0: Don't know\n")
      dflip = clgeti("dflip")
      call clputi("wyfpars.dflip",dflip)

      # Ditch workspace

      call sfree(sp)
end
