procedure w_arcref2(arcrefms)                 

# w_arcrefs algorithm for semi-automatic line id

file   arcrefms

begin

      file temp,arms
      int nspec

      # Set up temporary files

      temp = mktemp ("tmp$iraf")
      arms = arcrefms

      # Do manual identification of middle line

      identify (arms, section="middle line", database=database,
         coordlist=wyf_red.coordlist, units="", nsum=1, match=wyfpars.match,
         maxfeatures=50, zwidth=100., ftype="emission",
         fwidth=wyfpars.fwidth, cradius=wyfpars.cradius,
         threshold=wyfpars.cthresh, minsep=2.,
         function=wyfpars.i_function, order=wyfpars.i_order,
         sample="*", niterate=wyfpars.i_niterate,
         low_reject=wyfpars.i_low, high_reject=wyfpars.i_high,
         grow=0., autowrite=yes, aidpars="")
      hedit (arms, "refspec1", arms, add=yes,
         show=no, verify=no)
      nspec = 1
      hselect (arms, "naxis2", yes) | scan (nspec)

      if (nspec > 1) {
         slist(arms,aper="1-999",long_header=no,>>temp)
         fitrest(arms,temp)
         delete(temp,verify=no)
      }
end
